#include <stdlib.h>
#include <time.h>

#include "glut_import.h"

float randf(void){
  return (float) rand()/RAND_MAX;
}

/*********************************************************************
 * GLUT CALLBACKS
 *********************************************************************/

void displayFunc(void){
  glClearColor(randf(),randf(),randf(),0);
  glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
  glFlush();
  glutSwapBuffers();
}

void idleFunc(void){
  glutPostRedisplay();
}

/*********************************************************************
 * MAIN PROGRAM
 *********************************************************************/

int main(int argc,char *argv[]){
  srand(time(NULL));
  glutInit(&argc,argv);
  glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE);
  glutCreateWindow("Hello world");
  glutDisplayFunc(displayFunc);
  glutIdleFunc(idleFunc);
  glutMainLoop();
}
